> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v19/creating-custom-reports/design-the-report.md).

# Design the Report

After adding a data set, you can design the visual representation of your report.

Report Builder gives you many options of how the data can be represented on a report. You can use tables, lists, matrices, charts, etc. You can also insert text boxes, lines, images, and other graphics. In this tutorial, we will create a simple report that displays the data in a table format.

To insert a table into the report:

1. In Report Builder, make sure you have the main design view displayed.
2. Right-click in the report's empty space and then click **Insert > Table**.
3. Expand the **Datasets** folder in the left pane and then expand your data set, so you can see the fields included in the set.
4. Drag a data field to a desired column in the table. Repeat for other fields.

To test the report, click **Run** or press F5. To return back to the designer, click **Design**.

When you are satisfied with how your report looks in the Report Builder, you can save it in the database as follows:

1. In Report Builder, click **File** > **Save As**.
2. In the **Save As Report** dialog, select your report server URL in the drop-down list at the top of the dialog.
3. Double-click the **Custom reports** folder, type a name for your report and click **Save**.

{% hint style="info" %}
**Note:** You can create sub folders to section the reports as you like. To set a particular order for your reports, you can add numbering to the report name in form of ####.REPORT\_NAME, such as: '0001.My Custom Report'. This can also be used with subfolder names.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v19/creating-custom-reports/design-the-report.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
